version: 1

containers:
  main:
    image: ghcr.io/getalby/hub:v1.10.4
    mounts:
        data:
            data: /data
    ingress_port: 8080
    environment:
      WORK_DIR: /data/albyhub
      LOG_EVENTS: true
      JWT_SECRET: {{ derive_entropy(identifier="cookie_secret") }}
      LN_BACKEND_TYPE: LND
      LND_CERT_FILE: /data/lnd/tls.cert
      LND_ADDRESS: main.lnd.{{user}}.nirvati:10009
      LND_MACAROON_FILE: /data/lnd/hub.macaroon

